%define version 0.0.14
%define release %mkrel 1

%define libname %mklibname %{name}

%define libggz_version %{version}
%define ggz_client_libs_version %{version}

Name:		ggz-kde-client
Summary:	GGZ Gaming Zone Client in KDE interface
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://ggzgamingzone.org/
Source0:	http://ftp.ggzgamingzone.org/pub/ggz/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libggz-devel = %{libggz_version}
BuildRequires:	ggz-client-libs-devel = %{ggz_client_libs_version}
BuildRequires:	kdelibs-devel
Requires(pre):	%{libname} = %{version}
Requires:	libggz = %{libggz_version}
Requires:	ggz-client-libs = %{ggz_client_libs_version}
Requires:	ggz-game-modules = %{version}

%description
The official GGZ Gaming Zone client in KDE user interface.

%package -n	%{libname}
Summary:	GGZ Library client in KDE user interface
Group:		Games/Other
Requires:	%{name} = %{version}
Provides:	lib%{name} = %{version}

%description -n	%{libname}
The official GGZ Gaming Zone client in KDE user interface.

%package -n	%{libname}-devel
Summary:	Development files for GGZ Gaming Zone client in KDE user interface
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	libggz-devel = %{libggz_version}
Provides: 	%{libname}-devel

%description -n	%{libname}-devel
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains headers and other development files used for
building GGZ Gaming Zone KDE client.

%prep
%setup -q

%build
%configure2_5x \
	--with-xinerama \
	--disable-rpath \
	--with-libggz-libraries=%{_libdir} \
	--with-ggzmod-libraries=%{_libdir} \
	--with-ggzcore-libraries=%{_libdir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# fix crappy kde stuff
rm -rf ./ggzcore++-doc
mv %{buildroot}%{_docdir}/ggzcore++ ./ggzcore++-doc
rm -f %{buildroot}%{_docdir}/HTML/en/kggz/common
ln -sf ../common %{buildroot}%{_docdir}/HTML/en/kggz/common

# menu
install -m 755 -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 command="%{_bindir}/kggz" \
 icon="other_amusement.png" \
 longtitle="GGZ Gaming Zone game client with KDE interface" \
 needs="kde" \
 section="More Applications/Games/Other" \
 title="GGZ KDE Game Client" \
 xdg="true"
_EOF_

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/kggz
Icon=other_amusement
Terminal=false
Type=Application
Categories=KDE;X-MandrivaLinux-MoreApplications-Games-Other;Game;
Encoding=UTF-8
EOF

# remove unneeded files
#rm -f %{buildroot}%{_libdir}/kde3/*.la

%find_lang %{name} --all-name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README README.GGZ QuickStart.GGZ TODO
%doc ggzcore++-doc
%doc %{_docdir}/HTML/*/kggz
%doc %{_docdir}/HTML/en/kioslave/ggz*

%{_bindir}/*

%{_datadir}/applications/*

%{_datadir}/apps/keepalivecontrol/*
%{_datadir}/apps/compcal/*
%{_datadir}/apps/kggz/ggzap/*
%{_datadir}/apps/kggz/help/*
%{_datadir}/apps/kggz/images/*
%{_datadir}/apps/kggz/images/icons/*
%{_datadir}/apps/kggz/images/icons/games/*
%{_datadir}/apps/kggz/images/icons/players/*
%{_datadir}/apps/kggz/images/splash/*
%{_datadir}/apps/kggz/kcmggz/icons/*
%{_datadir}/apps/kggz/shadowbridge/*
%{_datadir}/apps/kgrubby/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/services/*.protocol
%{_datadir}/config/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_mandir}/man6/*

%{_menudir}/%{name}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/kde3/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so


%changelog
* Sat Feb 10 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-1mdv2007.0
+ Revision: 118754
- New version 0.0.14
- Import ggz-kde-client



* Sat Sep 02 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-2mdv2007.0
- xdg menu
- fix devel package
- fix x86_64 build 

* Sun May 21 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-1mdk
- New version
- mkrel
- drop patch
- libification

* Mon Nov 29 2004 Abel Cheung <deaddog@mandrake.org> 0.0.9-1mdk
- New version
- P0: Fix build
- Somehow things installed into bindir, I don't want to use too
  much time to fix this crap anyway

* Mon Feb 16 2004 Abel Cheung <deaddog@deaddog.org> 0.0.8-1mdk
- New version
- Drop patch0 (better fix upstream)
- Add menu entry

* Sun Sep 07 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- 0.0.7
- Patch0: ggz.snafu.de is no more, thus change default servers
- no libdification anymore, library is merged back into client
- find_lang, BuildRequires and other assorted cleanup

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-3mdk
- buildrequires

* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 andi payn <payn@myrealbox.com>
- Updated to 0.0.6
- Mandrakized (split off libggz-kde1/libggz-kde1-devel, etc.)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5

* Fri Apr 27 2001 Rich Gade <rgade@users.sourceforge.net>
- Initial specification file
